org.encog.ml.model.config

## Interface MethodConfig

- All Known Implementing Classes:
    FeedforwardConfig, NEATConfig, PNNConfig, RBFNetworkConfig, SVMConfig

      public interface MethodConfig

  Define normalization for a specific method.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `determineOutputCount(VersatileMLDataSet dataset)` Determine the needed output count.
    `String` | `getMethodName()`
    `String` | `suggestModelArchitecture(VersatileMLDataSet dataset)` Suggest a model architecture, based on a dataset.
    `NormalizationStrategy` | `suggestNormalizationStrategy(VersatileMLDataSet dataset, String architecture)` Suggest a normalization strategy based on a dataset.
    `String` | `suggestTrainingArgs(String trainingType)` Suggest training arguments.
    `String` | `suggestTrainingType()` Suggest a training type.

- - ### Method Detail

    - #### getMethodName

          String getMethodName()

      Returns:
        The method name.

    - #### suggestModelArchitecture

          String suggestModelArchitecture(VersatileMLDataSet dataset)

      Suggest a model architecture, based on a dataset.
      Parameters:
        `dataset` - The dataset.
      Returns:
        The model architecture.

    - #### suggestNormalizationStrategy

          NormalizationStrategy suggestNormalizationStrategy(VersatileMLDataSet dataset,
                                                           String architecture)

      Suggest a normalization strategy based on a dataset.
      Parameters:
        `dataset` - The dataset.
        `architecture` - The architecture.
      Returns:
        The strategy.

    - #### suggestTrainingType

          String suggestTrainingType()

      Suggest a training type.
      Returns:
        The training type.

    - #### suggestTrainingArgs

          String suggestTrainingArgs(String trainingType)

      Suggest training arguments.
      Parameters:
        `trainingType` - The training type.
      Returns:
        The training arguments.

    - #### determineOutputCount

          int determineOutputCount(VersatileMLDataSet dataset)

      Determine the needed output count.
      Parameters:
        `dataset` - The dataset.
      Returns:
        The needed output count.

Copyright © 2014. All Rights Reserved.